1. seedance
梧柏API使用文档
WHBAI · Seedance 2.0
  • WHBAI · Google Gemini 原生 (v1alpha)
  • WHBAI · Google Gemini 原生
  • WHBAI · Ideogram
  • WHBAI · Ideogram V3
  • WHBAI · Midjourney
  • WHBAI · Jimeng
  • WHBAI · Kling
  • WHBAI · Luma
  • WHBAI · Luma V1
  • WHBAI · Omni 视频
  • WHBAI · Pixverse
  • WHBAI · Runway
  • WHBAI · Sora2
  • WHBAI · 统一视频 VEO
  • WHBAI · Vidu
  • WHBAI · 豆包 Volc
  • WHBAI · Suno
  • WHBAI · Playground
  • WHBAI · 账号与令牌
  • WHBAI · 阿里 Pix
  • WHBAI · 阿里百炼
  • WHBAI · 私域人像
  • WHBAI · Fal.ai
  • WHBAI · Replicate
  • WHBAI · 腾讯云 VOD
  • WHBAI · MiniMax
  • WHBAI · 支持模型列表
  • WHBAI · Grok Imagine
  • WHBAI · Seedance 2.0
  • WHBAI · TypeSafe
  • WHBAI · OpenAI 兼容
  • 视频生成
    • 豆包 视频生成
      • 创建视频生成任务(doubao-2.5)
      • doubao-2.5 查询视频生成任务
  • Seedance 2.0
    • 查询任务列表
      GET
    • 查询单个任务
      GET
    • 取消任务
      DELETE
  • seedance
    • 查询任务
      GET
  • 数据模型
    • SeedanceSampleRequest
    • NewApiError
  1. seedance

查询任务

GET
/v1/video/generations/{task_id}

网站中的模型与调用示例#

查询任务#

请求参数#

{
  "contentType": "multipart/form-data",
  "properties": {
    "messages": {
      "description": "至今为止对话所包含的消息列表。Python 代码示例。",
      "items": {
        "properties": {
          "content": {
            "type": "string"
          },
          "role": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "type": "array",
      "x-i18n": {
        "en-US": {
          "description": "list of messages in the conversation so far. Python code example."
        }
      }
    },
    "model": {
      "description": "枚举值:\nveo2\nveo2-fast\nveo2-fast-frames\nveo2-fast-components\nveo2-pro\nveo3\nveo3-fast\nveo3-pro\nveo3-pro-frames",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Enum:\nveo2\nveo2-fast\nveo2-fast-frames\nveo2-fast-components\nveo2-pro\nveo3\nveo3-fast\nveo3-pro\nveo3-pro-frames"
        }
      }
    },
    "stream": {
      "description": "默认为 false 如果设置,则像在 ChatGPT 中一样会发送部分消息增量。标记将以仅数据的服务器发送事件的形式发送,这些事件在可用时,并在 data: [DONE] 消息终止流。Python 代码示例。",
      "type": "boolean",
      "x-i18n": {
        "en-US": {
          "description": "defaults to false if set, sends partial message deltas like ChatGPT. tokens are sent as data-only server-sent events,as they become available; stream ends with data: [DONE]. Python code example."
        }
      }
    }
  },
  "required": [
    "model",
    "messages"
  ]
}

响应示例 · pending#

{
  "detail": {
    "id": "task_01k6x15vhrff09dkkqjrzwhm60",
    "input": {
      "images": [
        "https://filesystem.site/cdn/20250612/VfgB5ubjInVt8sG6rzMppxnu7gEfde.png",
        "https://filesystem.site/cdn/20250612/998IGmUiM2koBGZM3UnZeImbPBNIUL.png"
      ],
      "model": "sy_ore",
      "orientation": "portrait",
      "prompt": "make animate",
      "size": "small"
    },
    "pending_info": {
      "actions": null,
      "created_at": "2025-10-06T15:10:26.875729Z",
      "estimated_queue_wait_time": null,
      "failure_reason": null,
      "generations": [],
      "guidance": null,
      "height": 640,
      "id": "task_01k6x15vhrff09dkkqjrzwhm60",
      "inpaint_items": [
        {
          "cameo_file_id": null,
          "crop_bounds": null,
          "frame_index": 0,
          "generation_id": null,
          "preset_id": null,
          "source_end_frame": 0,
          "source_start_frame": 0,
          "type": "image",
          "upload_media_id": "media_01k6x15tnzezbst05sth2qgd8r",
          "uploaded_file_id": null
        },
        {
          "cameo_file_id": null,
          "crop_bounds": null,
          "frame_index": 0,
          "generation_id": null,
          "preset_id": null,
          "source_end_frame": 0,
          "source_start_frame": 0,
          "type": "image",
          "upload_media_id": "media_01k6x15tzafwztz74t018v3enw",
          "uploaded_file_id": null
        }
      ],
      "interpolation": null,
      "is_storyboard": null,
      "model": "sy_8",
      "moderation_result": {
        "code": null,
        "is_output_rejection": false,
        "results_by_frame_index": {},
        "task_id": "task_01k6x15vhrff09dkkqjrzwhm60",
        "type": "passed"
      },
      "n_frames": 450,
      "n_variants": 1,
      "needs_user_review": false,
      "num_unsafe_generations": 0,
      "operation": "simple_compose",
      "organization_id": null,
      "preset_id": null,
      "priority": 2,
      "progress_pct": 0.9302178175176704,
      "progress_pos_in_queue": null,
      "project_id": null,
      "prompt": "make animate",
      "queue_status_message": null,
      "remix_config": null,
      "request_id": null,
      "sdedit": null,
      "seed": null,
      "status": "processing",
      "title": "New Video",
      "tracking_id": null,
      "type": "video_gen",
      "user": "user-a1sGDUIOXV32hNITe59LEkHa",
      "width": 352
    },
    "status": "pending"
  },
  "id": "sora-2:task_01k6x15vhrff09dkkqjrzwhm60",
  "status": "pending",
  "status_update_time": 1759763621142
}

响应示例 · 成功示例#

{
  "completed_at": 1761622385,
  "created_at": 1761622232,
  "id": "video_5c6a605a-30c0-4a6a-9dbd-d1d6cfdd9980",
  "model": "sora-2",
  "object": "video",
  "progress": 100,
  "seconds": "10",
  "size": "1280x720",
  "status": "completed",
  "video_url": "https://midjourney-plus.oss-us-west-1.aliyuncs.com/sora/cc4fb429-22a5-4747-a6f9-a6badccf8f42.mp4"
}

请求参数

Authorization
Bearer Token
在 Header 添加参数
Authorization
,其值为在 Bearer 之后拼接 Token
示例:
Authorization: Bearer ********************
or
Path 参数

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
curl --location '/v1/video/generations/' \
--header 'Authorization: Bearer <token>'

返回响应

🟢200成功
application/json
OK
Bodyapplication/json

示例
{
    "code": 0,
    "message": "success",
    "data": {
        "status": "succeed"
    }
}
🟠400请求有误
🟠401没有权限
修改于 2026-10-24 18:33:18
上一页
取消任务
下一页
SeedanceSampleRequest
Built with